#pragma once
#include <map>
struct Fish_JuKunFuHuaJiFenCFGData
{
	//编号
	int mID;
	//孵化积分下限
	int mIntegralLower;
	//孵化积分上限
	int mIntegralUpper;
	//权重
	int mWeight;
	//积分奖励
	std::vector<int> mBonusPoints;
};

class Fish_JuKunFuHuaJiFenCFG
{
public:
private:
	static std::auto_ptr<Fish_JuKunFuHuaJiFenCFG> msSingleton;
public:
	int GetCount();
	const Fish_JuKunFuHuaJiFenCFGData* GetData(int ID);
	const std::map<int, Fish_JuKunFuHuaJiFenCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_JuKunFuHuaJiFenCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_JuKunFuHuaJiFenCFGData> mMapData;
};
